﻿using Syncfusion.SfGauge.XForms;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace SyncFusionTestBench.Views
{
	public class Gauge : SfCircularGauge
	{
		public Gauge()
		{

			this.BindingContext = TestViewModel.Instance;

			this.BackgroundColor = Color.FromHex("BBBBBB");

			var scale = new Scale
			{
				StartValue = 0,
				EndValue = 300,
				StartAngle = 180,
				SweepAngle = 180,
				RimThickness = 100,
				RimColor = Color.FromHex("888888"),
				ShowTicks = false,
				ShowLabels = false
			};

			var pointer = new RangePointer
			{
				Color = Color.Green,
				Thickness = 100,
				Value = 100,
				BindingContext = TestViewModel.Instance
			};

			pointer.SetBinding<TestViewModel>(RangePointer.ValueProperty, m => m.Power);

			scale.Pointers.Add(pointer);

			this.Scales.Add(scale);
		}
	}
}
